This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 165200 - linker error with glibc2.3.5
linker error with glibc2.3.5
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-05 06:59 EDT by Chandrashekhar Kumar
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-17 17:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chandrashekhar Kumar 2005-08-05 06:59:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
** Linking i386-onyx/debug/devstore:
/usr/X11R6/lib/libX11.so: undefined reference to `__memcpy_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__strcpy_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__fprintf_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__strcat_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__strncpy_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__sprintf_chk@GLIBC_2.3.4'
collect2: ld returned 1 exit status
make: *** [i386-onyx/debug/devstore] Error 1


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.** Linking i386-onyx/debug/devstore:
/usr/X11R6/lib/libX11.so: undefined reference to `__memcpy_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__strcpy_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__fprintf_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__strcat_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__strncpy_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__sprintf_chk@GLIBC_2.3.4'
collect2: ld returned 1 exit status
make: *** [i386-onyx/debug/devstore] Error 1

2.
3.
  

Actual Results:  ** Linking i386-onyx/debug/devstore:
/usr/X11R6/lib/libX11.so: undefined reference to `__memcpy_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__strcpy_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__fprintf_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__strcat_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__strncpy_chk@GLIBC_2.3.4'
/usr/X11R6/lib/libX11.so: undefined reference to `__sprintf_chk@GLIBC_2.3.4'
collect2: ld returned 1 exit status
make: *** [i386-onyx/debug/devstore] Error 1


Additional info:
Comment 1 Ulrich Drepper 2005-08-05 15:33:43 EDT
That's a problem on your system.  You don't have the correct glibc installed or
don't use the correct version at runtime.  Add -Wl,-t to the compiler command
line and determine which libc binary is used.

Note You need to log in before you can comment on or make changes to this bug.